<?php

declare(strict_types=1);

namespace Drupal\ai_agents_test;

use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Drupal\Core\Plugin\DefaultPluginManager;
use Drupal\ai_agents_test\Attribute\AgentsParameterTest;

/**
 * AgentsParameterTest plugin manager.
 */
final class AgentsParameterTestPluginManager extends DefaultPluginManager {

  /**
   * Constructs the object.
   */
  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    parent::__construct('Plugin/AgentsParameterTest', $namespaces, $module_handler, AgentsParameterTestInterface::class, AgentsParameterTest::class);
    $this->alterInfo('agents_parameter_test_info');
    $this->setCacheBackend($cache_backend, 'agents_parameter_test_plugins');
  }

}
